public class Tipp {

    private int[] werte = new int[6];

    /*
     * falsch public Tipp(){ 
     *     EinUndAusgabe io = new EinUndAusgabe(); 
     *     for(int i = 0; i<werte.length; i = i+1){ 
     *         int kugel = io.zufall(1, 49);
     *         if(kommtNichtVor(kugel,i)){ 
     *             werte[i] = kugel; 
     *         } 
     *      } 
     *  }
     */

    public Tipp() {
        EinUndAusgabe io = new EinUndAusgabe();
        int i = 0;
        while (i < this.werte.length) {
            int kugel = io.zufall(1, 49);
            if (kommtNichtVor(kugel, i)) {
                this.werte[i] = kugel;
                i = i + 1;
            }
        }
    }

    public int[] getWerte() {
        return this.werte;
    }

    public void setWerte(int[] werte) {
        this.werte = werte;
    }

    public boolean kommtNichtVor(int wert, int position) {
        for (int i = 0; i < position; i = i + 1) {
            if (this.werte[i] == wert) {
                return false;
            }
        }
        return true;
    }

    public int gemeinsam(Tipp tip) {
        int ergebnis = 0;
        for (int i : this.werte) {
            for (int j : tip.getWerte()) {
                if (i == j) {
                    ergebnis = ergebnis + 1;
                }
            }
        }
        return ergebnis;
    }

    public boolean enthaelt(int wert) {
        for (int i : this.werte) {
            if (i == wert) {
                return true;
            }
        }
        return false;
    }

    @Override
    public String toString() {
        String ergebnis = "[ ";
        for (int i : this.werte) {
            ergebnis = ergebnis + i + " ";
        }
        return ergebnis + "]";
    }

    public static void mainold(String[] args) {
        Tipp mein = new Tipp();
        System.out.println("M: " + mein);
        Boolean weiter = true;
        int anzahl = 1;
        while (weiter) {
            Tipp tmp = new Tipp();
            if (mein.gemeinsam(tmp) > 4) {
                System.out.println(anzahl + ": " + tmp);
                weiter = false;
            }
            anzahl = anzahl + 1;
        }
    }
}
